Execute All For Item

Execute All For Item
Execute item with a form.

Execute item with a form.

Request
URI
POST
https://ip-42.net-99.vm.sof-mbu.broadcom.net/vco/api/forms/{id}/evaluations
COPY
Path Parameters
string
id
Required

id


Request Body
BatchExecution of type(s) application/json
Required
{
    "token": "string",
    "executions": [
        {
            "actionId": "string",
            "error": "string",
            "inputs": {
                "executionId": "string",
                "parameters": [
                    {
                        "value": {
                            "0": "V",
                            "1": "a",
                            "2": "l",
                            "3": "u",
                            "4": "e",
                            "5": " ",
                            "6": "O",
                            "7": "b",
                            "8": "j",
                            "9": "e",
                            "10": "c",
                            "11": "t"
                        },
                        "name": "string",
                        "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
                        "description": "string",
                        "scope": "string",
                        "updated": false,
                        "encrypt-value": false
                    }
                ],
                "profilerOptions": {
                    "enabled": false,
                    "debuggerEnabled": false,
                    "tokenReplayEnabled": false
                }
            }
        }
    ]
}
string
token
Optional

token

array of object
executions
Optional

executions

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns BatchExecutionResult of type(s) application/json
{
    "results": [
        {
            "result": {},
            "error": "string"
        }
    ]
}
array of object
results
Optional

results


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vco/api/forms/{id}/evaluations